OpenapiGenerated
List cluster node pools.
GET
organisationSlug*stringMatch
^[a-z0-9-_]+$environmentSlug*stringMatch
^[a-z0-9-_]+$clusterSlug*stringMatch
^[a-z0-9-_]+$Request was successfully processed. The response body contains the requested data.
application/json- response
[index: integer]?curl -X GET 'https://api.avisi.cloud/api/v1/orgs/string/clusters/string/string/pools'[ { "id": 0, "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5", "name": "string", "availabilityZone": "string", "nodeSize": "string", "autoScaling": true, "enableNodeAutoReplacement": true, "enableNodeReboots": true, "upgradeStrategy": "REPLACE", "securityUpdatesOnJoin": "OFF", "minSize": 0, "maxSize": 0, "annotations": { "property1": "string", "property2": "string" }, "labels": { "property1": "string", "property2": "string" }, "taints": [ { "key": "string", "value": "string", "effect": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z", "provisionStatus": "UNKNOWN" }]